## Script (Python) "validate_PloneNewsLetter_Edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Validates a PloneNewsLetter edit
##

validator = context.portal_form.createForm()
validator.addField('title', 'String', required=1)
validator.addField('newsletter_reference', 'String', required=0)
validator.addField('description', 'String', required=0)
validator.addField('newsletter_email', 'Email', required=1)
errors=validator.validate(context.REQUEST)

from DateTime import DateTime
try:
    if context.REQUEST.newsletter_publication_date != 'None' and \
        context.REQUEST.newsletter_publication_date != '':
        DateTime(context.REQUEST.newsletter_publication_date)
except:
    errors['newsletter_publication_date'] = 'Enter a valid date. (Example: "2003/04/23")'

id = context.REQUEST.get('id', '').strip()
id_err = context.check_id(id)
if id_err:
    errors['id'] = id_err

if errors:
   message='Please correct the indicated errors.'
   return ('failure', errors, {'portal_status_message':message})
else:
   message='Your document changes have been saved.'
   return ('success', errors, {'portal_status_message':message})
